/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.requestDto;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.wechat.model.dto.AdImageDto;

/**
 * 单表生成Entity
 * 
 * @author jadyn
 * @version 
 */
public class PersonInformationReq {

	private String userCode; // 用户code(自增)
	private String userName; // 登录名[手机号-个人/邮箱-企业]（全局唯一）
	private String name; // 用户姓名（个人）/企业名称（企业）
	private String foreignName; // 外文名称
	private String entContacts; // 企业联系人
	private String entPhone; // 企业联系电话
	private String headPortrait; // 头像（存放头像相对存放地址）
	private String email; // 邮箱地址（个人用户）
	private String addrProvince; // 地址-省（中国）
	private String addrCity; // 地址-市（中国）
	private String addrArea; // 地址-区（中国）
	private String phoneCode; // 国家区号码
	private String image; // 名片（个人）/营业执照（企业）
	private String identityFlag; // 身份标识[0-个人；1-企业]
	private String vipFlag; // 会员标识[0-非会员；1-会员]
	private Date dueDate; // 会员到期时间
	private String likeList; // 点赞过的资讯id（以逗号分隔）
	private String shareList; // 分享的资讯id（以逗号分隔）
	private String positionList; // 收藏的职位id（以逗号分隔）
	private String positionTitle; // 当前职位头衔
	private String onJobImage; // 在职证明
	private String birthday;// 生日
	private Date firstWork;// 初次参加工作时间
	private Integer experience;// 行业经验
	private String addDetail;// 工作地点详细地址
	private String website;// 企业官网
	private Integer workStatus;// 工作状态(字典表维护)[0-无跳槽打算；1-在职-到岗时间待定；2-在职-到岗时间1月左右；3-离职]
	private String international;// 国际区分[1-国际;2-国内;9-未知]
	private String address;
	private String coName;
	private String introduction;// 简介
	
	private String shortInviter; // 短的邀请人
	
	// 筹开标识
	private String prepareFlag;
	// 筹开年份
	private String prepareYear;
	// 筹开季度
	private String prepareQuarter;

	//隐私标志[0-正常；1-隐私]
	private String privateFlag;
	
	private String shareCode;
	
	private List<AdImageDto> adListPc;
	
	private List<AdImageDto> adListPhone;

	// @Length(min=1, max=100, message="登录名[手机号-个人/邮箱-企业]（全局唯一）长度必须介于 1 和 100 之间")
	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}
	
	// @Length(min=1, max=100, message="用户姓名（个人）/企业名称（企业）长度必须介于 1 和 100 之间")
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}


	// @Length(min=0, max=50, message="企业联系人长度必须介于 0 和 50 之间")
	public String getEntContacts() {
		return entContacts;
	}

	public void setEntContacts(String entContacts) {
		this.entContacts = entContacts;
	}

	// @Length(min=0, max=50, message="企业联系电话长度必须介于 0 和 50 之间")
	public String getEntPhone() {
		return entPhone;
	}

	public void setEntPhone(String entPhone) {
		this.entPhone = entPhone;
	}

	// @Length(min=0, max=255, message="头像（存放头像相对存放地址）长度必须介于 0 和 255 之间")
	public String getHeadPortrait() {
		return headPortrait;
	}

	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}

	// @Length(min=0, max=100, message="邮箱地址（个人用户）长度必须介于 0 和 100 之间")
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	// @Length(min=0, max=6, message="地址-省（中国）长度必须介于 0 和 6 之间")
	public String getAddrProvince() {
		return addrProvince;
	}

	public void setAddrProvince(String addrProvince) {
		this.addrProvince = addrProvince;
	}

	// @Length(min=0, max=6, message="地址-市（中国）长度必须介于 0 和 6 之间")
	public String getAddrCity() {
		return addrCity;
	}

	public void setAddrCity(String addrCity) {
		this.addrCity = addrCity;
	}

	// @Length(min=0, max=6, message="地址-区（中国）长度必须介于 0 和 6 之间")
	public String getAddrArea() {
		return addrArea;
	}

	public void setAddrArea(String addrArea) {
		this.addrArea = addrArea;
	}

	// @Length(min=0, max=255, message="名片（个人）/营业执照（企业）长度必须介于 0 和 255 之间")
	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		if(!"0".equals(identityFlag))
		{
			//企业营业执照脱敏
			image = "";
		}
		this.image = image;
	}

	// @Length(min=0, max=1, message="身份标识[0-个人；1-企业]长度必须介于 0 和 1 之间")
	public String getIdentityFlag() {
		return identityFlag;
	}

	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = identityFlag;
	}

	// @Length(min=1, max=1, message="会员标识[0-非会员；1-会员]长度必须介于 1 和 1 之间")
	public String getVipFlag() {
		return vipFlag;
	}

	public void setVipFlag(String vipFlag) {
		this.vipFlag = vipFlag;
	}

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	public Date getDueDate() {
		return dueDate;
	}

	public void setDueDate(Date dueDate) {
		this.dueDate = dueDate;
	}

	public String getPositionTitle() {
		return positionTitle;
	}

	public void setPositionTitle(String positionTitle) {
		this.positionTitle = positionTitle;
	}

	public String getBirthday() {
		return birthday;
	}

	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}

	public Integer getExperience() {
		return experience;
	}

	public void setExperience(Integer experience) {
		this.experience = experience;
	}

	public String getAddDetail() {
		return addDetail;
	}

	public void setAddDetail(String addDetail) {
		this.addDetail = addDetail;
	}

	public String getWebsite() {
		return website;
	}

	public void setWebsite(String website) {
		this.website = website;
	}

	public Integer getWorkStatus() {
		return workStatus;
	}

	public void setWorkStatus(Integer workStatus) {
		this.workStatus = workStatus;
	}

	public String getInternational() {
		return international;
	}

	public void setInternational(String international) {
		this.international = international;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getOnJobImage() {
		return onJobImage;
	}

	public void setOnJobImage(String onJobImage) {
		this.onJobImage = onJobImage;
	}

	public String getCoName() {
		return coName;
	}

	public void setCoName(String coName) {
		this.coName = coName;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}


	public String getPhoneCode() {
		return phoneCode;
	}

	public void setPhoneCode(String phoneCode) {
		this.phoneCode = phoneCode;
	}

	public Date getFirstWork() {
		return firstWork;
	}

	public void setFirstWork(Date firstWork) {
		this.firstWork = firstWork;
	}

	public List<AdImageDto> getAdListPc() {
		return adListPc;
	}

	public void setAdListPc(List<AdImageDto> adListPc) {
		this.adListPc = adListPc;
	}

	public List<AdImageDto> getAdListPhone() {
		return adListPhone;
	}

	public void setAdListPhone(List<AdImageDto> adListPhone) {
		this.adListPhone = adListPhone;
	}

	public String getShortInviter() {
		return shortInviter;
	}

	public void setShortInviter(String shortInviter) {
		this.shortInviter = shortInviter;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}
	
	public String getLikeList() {
		return likeList;
	}

	public void setLikeList(String likeList) {
		this.likeList = likeList;
	}

	public String getShareList() {
		return shareList;
	}

	public void setShareList(String shareList) {
		this.shareList = shareList;
	}

	public String getPositionList() {
		return positionList;
	}

	public void setPositionList(String positionList) {
		this.positionList = positionList;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public String getPrepareFlag() {
		return prepareFlag;
	}

	public void setPrepareFlag(String prepareFlag) {
		this.prepareFlag = prepareFlag;
	}

	public String getPrepareYear() {
		return prepareYear;
	}

	public void setPrepareYear(String prepareYear) {
		this.prepareYear = prepareYear;
	}

	public String getPrepareQuarter() {
		return prepareQuarter;
	}

	public void setPrepareQuarter(String prepareQuarter) {
		this.prepareQuarter = prepareQuarter;
	}

	public String getPrivateFlag() {
		return privateFlag;
	}

	public void setPrivateFlag(String privateFlag) {
		this.privateFlag = privateFlag;
	}

	public String getShareCode() {
		return shareCode;
	}

	public void setShareCode(String shareCode) {
		this.shareCode = shareCode;
	}

}